Bug 1154887 - (CVE-2019-18224) VUL-0: CVE-2019-18224: libidn2: heap-based buffer overflow via a long domain string
(CVE-2019-18224)
VUL-0: CVE-2019-18224: libidn2: heap-based buffer overflow via a long domain ...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/245492/
CVSSv3:SUSE:CVE-2019-18224:6.3:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-23 15:46 UTC by Alexandros Toptsoglou
Modified: 2020-07-10 13:35 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Alexandros Toptsoglou 2019-10-23 15:50:32 UTC
Tracked SLE15 as affected
Comment 2 Tomáš Chvátal 2019-10-24 09:20:18 UTC
Package changelog update sent to TW and updated version sent to SLE15.
Comment 3 Swamp Workflow Management 2019-10-24 09:50:10 UTC
This is an autogenerated message for OBS integration:
This bug (1154887) was mentioned in
https://build.opensuse.org/request/show/742496 Factory / libidn2
Comment 5 Swamp Workflow Management 2019-11-28 14:13:28 UTC
SUSE-SU-2019:3086-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1154884,1154887
CVE References: CVE-2019-12290,CVE-2019-18224
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    libidn2-2.2.0-3.3.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    libidn2-2.2.0-3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    libidn2-2.2.0-3.3.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    libidn2-2.2.0-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-12-03 17:11:45 UTC
openSUSE-SU-2019:2613-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1154884,1154887
CVE References: CVE-2019-12290,CVE-2019-18224
Sources used:
openSUSE Leap 15.0 (src):    libidn2-2.2.0-lp150.2.3.1
Comment 7 Swamp Workflow Management 2019-12-03 17:13:02 UTC
openSUSE-SU-2019:2611-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1154884,1154887
CVE References: CVE-2019-12290,CVE-2019-18224
Sources used:
openSUSE Leap 15.1 (src):    libidn2-2.2.0-lp151.3.3.1
Comment 8 Alexandros Toptsoglou 2020-07-10 13:35:25 UTC
Done